Bug 2074123 (CVE-2022-28202) - CVE-2022-28202 mediawiki: xss due to incorrect escaping
Summary: CVE-2022-28202 mediawiki: xss due to incorrect escaping
Keywords:
Status: NEW
Alias: CVE-2022-28202
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2075227 2075228
Blocks: 2074124
TreeView+ depends on / blocked
 
Reported: 2022-04-11 15:16 UTC by Marian Rehak
Modified: 2022-08-01 08:29 UTC (History)
13 users (show)

Fixed In Version: mediawiki 1.35.6, mediawiki 1.36.4, mediawiki 1.37.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in MediaWiki. The widthheight, widthheightpage, and nbytes properties of messages are not escaped when used in galleries or Special:RevisionDelete.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Marian Rehak 2022-04-11 15:16:53 UTC
The widthheight, widthheightpage, and nbytes properties of messages are not escaped when used in galleries or Special:RevisionDelete.

Reference:

https://phabricator.wikimedia.org/T297543

Comment 1 Anten Skrabec 2022-04-13 21:12:18 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 2075227]


Note You need to log in before you can comment on or make changes to this bug.